Skip to main content
POST
/
v1
/
wallets
/
{id}
/
verify
Verify receipt
curl --request POST \
  --url https://api.rem.money/v1/wallets/{id}/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "txHash": "<string>",
  "expectedAmount": "<string>",
  "expectedSender": "<string>"
}
'
{
  "verified": true,
  "amount": "<string>",
  "sender": "<string>",
  "txHash": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
txHash
string
required
expectedAmount
string
expectedSender
string

Response

200 - application/json

Verification result

verified
boolean
amount
string
sender
string
txHash
string